Change Job Assignment

Updates an existing job assignment for a specific worker.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int32

The internal identifier for the job this order will be associated with. This parameter must be provided together with provider_id.

int32

The internal identifier for the instance of this job for the job order. This parameter must be provided together with provider_id.

int32

The unique identifier for the worker.

string

The external assignment identifier. If this parameter is provided and sent, it will take priority over the job_id, job_instance, and provider_id parameters to find the assignment and update it.

string

The date the changes being sent should be applied to the assignment. The format should be “YYYYMMDD” and it must be in UTC. For all attributes being changed, as well as time of day and/or days of the week (day_list), the changes will take effect starting on this date and ending on the existing or new end_date. Note: If this is not sent, any changes are assumed to start at the job assignment start date (either the new one being sent or the existing one if no new start date is sent).

string

The new end date for which the assignment should be created (the start date will be submitted as part of the attrib_list). The format should be “YYYYMMDD”, and it must be in UTC based on the request start time. For example, if the user submits a request from the Eastern Time Zone, which is 5 hours behind UTC time, and they pick a start time of 9:00 PM with an end date of 4/25/2024, the end_date sent over should be 4/26/2024, as 9:00 PM 4/25/2024 in Eastern Time is actually 2:00 AM 4/26/2024 UTC). Note: If this date and/or the start date sent in the attrib_list along with the day_list are sent with different values than the original assignment, they will be used to adjust the assignment, adding sessions and/or cancelling sessions where necessary.

day_list
array of int32s

A list of days of the week that the job order sessions should be created on within the given date range. If this is sent, it should include all days of the week that the assignment should include. The values allowed are: 0 for Sunday, 1 for Monday, 2 for Tuesday, 3 for Wednesday, 4 for Thursday, 5 for Friday, 6 for Saturday.

day_list
attrib_list
object

A list of request attributes that are being changed. Only those attributes that are being changed should be included in the list.

Headers
string
required
Defaults to Token <place token here>

The authorization token returned from the Log In endpoint.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json